OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- s : Units , UnitsLong
- s_rail_change_counter : CSegmentCostCacheBase
- SatisfyDemand() : LinkGraphJob::Edge
- Save() : ScriptInstance
- save : SettingDesc
- Save() : AI , Game , HotkeyList
- save_config : AfterNewGRFScan
- save_config_ptr : AfterNewGRFScan
- save_proc : ChunkHandler
- SaveEmpty() : ScriptInstance
- SaveFilter() : SaveFilter
- savegame : ServerNetworkGameSocketHandler , ClientNetworkGameSocketHandler
- saveinprogress : SaveLoadParams
- SaveLoad_LinkGraph : LinkGraph
- SaveObject() : ScriptInstance
- SavePresetWindow() : SavePresetWindow
- SaveToConfig() : WindowDesc
- SaveToDisk() : IniFile
- sb : NWidgetMatrix
- Scale() : LinkGraph
- scale : FlowMapper , LinkGraphOverlay
- ScaleToMonthly() : FlowStat
- Scan() : FileScanner , ScenarioScanner , LanguageScanner
- ScanForStationTiles() : StationRect
- scanned : ScenarioScanner , ScanProgressWindow
- scanner : ScriptInfo
- scanner_info : AI , Game
- scanner_library : AI , Game
- ScanProgressWindow() : ScanProgressWindow
- SCENARIO : TarScanner
- scenario_developer : GUISettings
- ScenarioScanner() : ScenarioScanner
- scenid : ScenarioIdentifier
- schedule : LinkGraphSchedule
- scheduled_invalidation_data : Window
- score : ScoreInfo , HighScore
- screenshot_filename : CrashLogWindows
- script : GameSettings
- Script_FatalError() : Script_FatalError
- script_max_opcode_till_suspend : ScriptSettings
- Script_Suspend() : Script_Suspend
- ScriptConfig() : ScriptConfig
- ScriptFileChecksumCreator() : ScriptFileChecksumCreator
- ScriptInstance() : ScriptInstance
- ScriptSettingSource : ScriptConfig
- Scroll() : IConsoleWindow
- scroll_to_row : StationViewWindow
- scroll_x : SmallMapWindow
- scroll_y : SmallMapWindow
- scrollbar_index : NWidgetCore
- ScrollbarStepping : Scrollbar
- ScrollBuffer() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null
- scrolling : DropdownWindow
- scrolling_scrollbar : Window
- scrollpos_x : ViewportData
- scrollpos_y : ViewportData
- ScrollToSelected() : NetworkContentListWindow
- ScrollToSelectedServer() : NetworkGameWindow
- ScrollTowards() : Scrollbar
- scrollwheel_multiplier : GUISettings
- scrollwheel_scrolling : GUISettings
- se_flat_world_height : GameCreationSettings
- SEARCH_IN_TARS : BaseSet< T, Tnum_files, Tsearch_in_tars >
- search_iterator : TextfileWindow
- SearchNonStop() : StationViewWindow
- seen_hops : LinkRefresher
- sel : RefitWindow
- SEL_DC_BASEPLANE : VehicleViewWindow
- SEL_DC_CLONE : VehicleViewWindow
- SEL_DC_GOTO_DEPOT : VehicleViewWindow
- sel_engine : ReplaceVehicleWindow , BuildVehicleWindow
- sel_group : ReplaceVehicleWindow
- sel_index : TownAuthorityWindow
- sel_railtype : ReplaceVehicleWindow
- SEL_RT_BASEPLANE : VehicleViewWindow
- SEL_RT_REFIT : VehicleViewWindow
- SEL_RT_TURN_AROUND : VehicleViewWindow
- Select() : ClientNetworkContentSocketHandler
- select_method : TileHighlightData
- select_proc : TileHighlightData
- select_station_cmd : SelectStationWindow< T >
- SelectAll() : ClientNetworkContentSocketHandler
- SelectBlitter() : BlitterFactory
- SelectDisplayPlanes() : SelectCompanyManagerFaceWindow
- SelectDriver() : DriverFactoryBase
- SelectDriverImpl() : DriverFactoryBase
- SELECTED : ContentInfo
- selected : AIListWindow , SaveLoadWindow , NetworkContentListWindow , SavePresetWindow
- selected_generic_title : StoryBookWindow
- selected_index : BuildIndustryWindow , DropdownWindow
- selected_layout : Industry
- selected_page_id : StoryBookWindow
- selected_slot : AIConfigWindow
- selected_type : BuildIndustryWindow
- selected_vehicle : RefitWindow
- SelectFirstAvailableAirport() : BuildAirportWindow
- SelectFirstAvailableObject() : BuildObjectWindow
- selectgoods : OrderSettings
- SelectGroupBy() : StationViewWindow
- SelectLegendItem() : SmallMapWindow
- SelectNextPage() : StoryBookWindow
- SelectOtherClass() : BuildObjectWindow
- SelectOtherObject() : BuildObjectWindow
- SelectPlane() : VehicleViewWindow
- SelectPrevPage() : StoryBookWindow
- SelectRandomAI() : AIScannerInfo
- SelectSortBy() : StationViewWindow
- SelectSortOrder() : StationViewWindow
- SelectUpgrade() : ClientNetworkContentSocketHandler
- SelectValidDebugCompany() : AIDebugWindow
- selend : TileHighlightData
- self_destruct : ThreadObject_OS2 , ThreadObject_pthread , ThreadObject_Win32
- self_scope : VehicleResolverObject
- self_type : VehicleScopeResolver
- selstart : TileHighlightData
- semaphore_build_before : GUISettings
- Send() : ServerNetworkAdminSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Send_bool() : Packet
- Send_string() : Packet
- Send_uint16() : Packet
- Send_uint32() : Packet
- Send_uint64() : Packet
- Send_uint8() : Packet
- SendAck() : ClientNetworkGameSocketHandler
- SendChat() : ServerNetworkAdminSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendClientError() : ServerNetworkAdminSocketHandler
- SendClientInfo() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendClientJoin() : ServerNetworkAdminSocketHandler
- SendClientQuit() : ServerNetworkAdminSocketHandler
- SendClientUpdate() : ServerNetworkAdminSocketHandler
- SendCmdLogging() : ServerNetworkAdminSocketHandler
- SendCmdNames() : ServerNetworkAdminSocketHandler
- SendCommand() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendCompanyEconomy() : ServerNetworkAdminSocketHandler
- SendCompanyInfo() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendCompanyInformation() : NetworkSocketHandler
- SendCompanyInformationQuery() : ClientNetworkGameSocketHandler
- SendCompanyNew() : ServerNetworkAdminSocketHandler
- SendCompanyPassword() : ClientNetworkGameSocketHandler
- SendCompanyRemove() : ServerNetworkAdminSocketHandler
- SendCompanyStats() : ServerNetworkAdminSocketHandler
- SendCompanyUpdate() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendConfigUpdate() : ServerNetworkGameSocketHandler
- SendConsole() : ServerNetworkAdminSocketHandler
- SendDate() : ServerNetworkAdminSocketHandler
- SendError() : ServerNetworkAdminSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendErrorQuit() : ServerNetworkGameSocketHandler
- SendFrame() : ServerNetworkGameSocketHandler
- SendGamePassword() : ClientNetworkGameSocketHandler
- SendGameScript() : ServerNetworkAdminSocketHandler
- SendGetMap() : ClientNetworkGameSocketHandler
- SendGRFIdentifier() : NetworkSocketHandler
- SendJoin() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendMap() : ServerNetworkGameSocketHandler
- SendMapOk() : ClientNetworkGameSocketHandler
- SendMove() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendNeedCompanyPassword() : ServerNetworkGameSocketHandler
- SendNeedGamePassword() : ServerNetworkGameSocketHandler
- SendNetworkGameInfo() : NetworkUDPSocketHandler
- SendNewGame() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendNewGRFCheck() : ServerNetworkGameSocketHandler
- SendNewGRFsOk() : ClientNetworkGameSocketHandler
- SendPacket() : NetworkTCPSocketHandler , NetworkUDPSocketHandler
- SendPackets() : NetworkTCPSocketHandler
- SendPong() : ServerNetworkAdminSocketHandler
- SendProtocol() : ServerNetworkAdminSocketHandler
- SendQuit() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendRcon() : ServerNetworkAdminSocketHandler
- SendRCon() : ClientNetworkGameSocketHandler
- SendRconEnd() : ServerNetworkAdminSocketHandler
- SendRConResult() : ServerNetworkGameSocketHandler
- SendReceive() : ClientNetworkContentSocketHandler
- SendSetName() : ClientNetworkGameSocketHandler
- SendSetPassword() : ClientNetworkGameSocketHandler
- SendShutdown() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendSignal() : ThreadMutex , ThreadMutex_None , ThreadMutex_OS2 , ThreadMutex_pthread , ThreadMutex_Win32
- SendSync() : ServerNetworkGameSocketHandler
- SendToDepot() : Vehicle
- SendWait() : ServerNetworkGameSocketHandler
- SendWelcome() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- seq : DrawTileSprites
- seq_group_names : IniLoadFile
- server : NetworkGameWindow , NetworkLobbyWindow
- server_admin_chat : NetworkSettings
- server_admin_port : NetworkSettings
- server_advertise : NetworkSettings
- server_lang : NetworkGameInfo , NetworkSettings
- server_name : NetworkGameInfo , NetworkSettings
- server_password : NetworkSettings
- server_port : NetworkSettings
- server_revision : NetworkGameInfo
- ServerNetworkAdminSocketHandler() : ServerNetworkAdminSocketHandler
- ServerNetworkGameSocketHandler() : ServerNetworkGameSocketHandler
- ServerNetworkUDPSocketHandler() : ServerNetworkUDPSocketHandler
- servers : NetworkGameWindow
- ServerStatus : ClientNetworkGameSocketHandler
- service_interval : BaseConsist
- serviceathelipad : OrderSettings
- servint_aircraft : VehicleDefaultSettings
- servint_ispercent : VehicleDefaultSettings
- servint_roadveh : VehicleDefaultSettings
- servint_ships : VehicleDefaultSettings
- servint_trains : VehicleDefaultSettings
- Set() : Hash , VehicleSpriteSeq
- SetArticulatedPart() : GroundVehicle< T, Type >
- SetButtons() : SettingEntry , BuildIndustryWindow
- SetCallerGRFID() : NewGRFInspectWindow
- SetCapacity() : Scrollbar
- SetCapacityFromWidget() : Scrollbar
- SetCargo() : CargoPayment
- SetCargoFilterArray() : BuildVehicleWindow
- SetCargoMask() : LinkGraphOverlay
- SetClicked() : NWidgetMatrix
- SetColour() : FontState
- SetCompanyMask() : LinkGraphOverlay
- SetConditionComparator() : Order
- SetConditionSkipToOrder() : Order
- SetConditionValue() : Order
- SetConditionVariable() : Order
- SetCount() : NWidgetMatrix , Scrollbar
- SetCurPosition() : IcuStringIterator , StringIterator
- SetDataTip() : NWidgetCore
- SetDateWindow() : SetDateWindow
- SetDemand() : LinkGraph::Node
- SetDemandPerNode() : SymmetricScaler , AsymmetricScaler
- SetDemands() : Scaler , SymmetricScaler
- SetDepotActionType() : Order
- SetDepotOrderType() : Order
- SetDestination() : Order , CYapfDestinationTileT< Types >
- SetDirty() : NWidgetBase , NWidgetSpacer , Window
- SetDisabled() : NWidgetCore
- SetDisplayedHelpText() : GameSettingsWindow
- SetDisplayedPlane() : NWidgetStacked
- SetDisplayedRow() : StationViewWindow
- SetDParam() : ErrorMessageData
- SetDParamStr() : ErrorMessageData
- SetDummyAI() : AIScannerInfo
- SetEngine() : GroundVehicle< T, Type >
- SetEntitySpec() : HouseOverrideManager , IndustryOverrideManager , ObjectOverrideManager
- SetEntranceBusy() : RoadStop
- SetErrorMessage() : CrashLog
- SetFill() : NWidgetResizeBase
- SetFilterFuncs() : GUIList< T, F >
- SetFiltering() : GUIList< T, F >
- SetFilterState() : GUIList< T, F >
- SetFilterString() : SignListWindow
- SetFilterTerm() : StringFilter
- SetFilterType() : GUIList< T, F >
- SetFocusedWidget() : Window
- SetFontNames() : MissingGlyphSearcher , TextfileWindow
- SetFontSize() : FontState
- SetFreeWagon() : GroundVehicle< T, Type >
- SetFrontEngine() : GroundVehicle< T, Type >
- SetGlobalPointer() : Squirrel
- SetHighlighted() : NWidgetCore
- SetIndex() : NWidgetCore
- SetInfo() : NetworkGameSocketHandler
- SetLastField() : BaseSettingEntry
- SetLastSpeed() : GroundVehicle< T, Type >
- SetListing() : GUIList< T, F >
- SetLoadPlace() : CargoPacket
- SetLoadType() : Order
- SetLowered() : NWidgetCore
- SetMaxSpeed() : Order
- SetMediaSet() : GameOptionsWindow
- SetMinimalSize() : NWidgetResizeBase
- SetMinimalTextLines() : NWidgetResizeBase
- SetMode() : FileToSaveLoad
- SetMultiheaded() : GroundVehicle< T, Type >
- SetName() : FileToSaveLoad
- SetNewScroll() : SmallMapWindow
- SetNext() : Vehicle
- SetNextStation() : CargoPacket
- SetNode() : GraphEdgeIterator , FlowEdgeIterator
- SetNonStopType() : Order
- SetObjectAtStringParameters() : NIHelper
- SetOrigin() : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- SetOriginFromVehiclePos() : CYapfFollowRoadT< Types >
- SetOverlay() : LinkGraphLegendWindow
- SetOverlayCargoMask() : SmallMapWindow
- SetPadding() : NWidgetBase
- SetParameterDefaults() : GRFConfig
- SetPIP() : NWidgetPIPContainer , NWidgetBackground
- SetPixel() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null
- SetPort() : NetworkAddress
- SetPortAlphaOpaque() : CocoaSubdriver
- SetPosition() : Scrollbar
- SetPreviousColour() : FontState
- SetPrintFunction() : Squirrel
- SetRefit() : Order
- SetReservationTarget() : CYapfReserveTrack< Types >
- SetResize() : NWidgetResizeBase
- SetScrollbar() : NWidgetMatrix
- SetSeed() : Randomizer
- SetSelectedPage() : StoryBookWindow
- SetSelection() : RefitWindow
- SetSet() : BaseMedia< Tbase_set >
- SetSetting() : AIConfig , ScriptConfig
- SetShaded() : Window
- SetSimpleStringParameters() : NIHelper
- SetSortFuncs() : GUIList< T, F >
- SetSortType() : GUIList< T, F >
- SetStepSize() : Scrollbar
- SetStopLocation() : Order
- SetString() : IcuStringIterator , StringIterator
- SetStringParameters() : AIListWindow , AISettingsWindow , ScriptTextfileWindow , AIConfigWindow , AIDebugWindow , BuildAirportWindow , ReplaceVehicleWindow , BuildVehicleWindow , CompanyFinancesWindow , SelectCompanyLiveryWindow , CompanyInfrastructureWindow , CompanyWindow , BuyCompanyWindow , SetDateWindow , DepotWindow , ErrmsgWindow , GenerateLandscapeWindow , CreateScenarioWindow , GoalListWindow , GoalQuestionWindow , VehicleGroupWindow , BuildIndustryWindow , IndustryViewWindow , IndustryDirectoryWindow , IndustryCargoesWindow , AboutWindow , QueryStringWindow , QueryWindow , MusicTrackSelectionWindow , ContentTextfileWindow , NetworkGameWindow , NetworkStartServerWindow , NetworkLobbyWindow , NIHelper , NewGRFInspectWindow , SpriteAlignerWindow , NewGRFParametersWindow , NewGRFTextfileWindow , NewGRFWindow , NewsWindow , BuildObjectWindow , OrdersWindow , OskWindow , BuildRailToolbarWindow , BuildRailStationWindow , BuildSignalWindow , BaseSetTextfileWindow< TBaseSet > , GameOptionsWindow , GameSettingsWindow , CustomCurrencyWindow , SignListWindow , SignWindow , SmallMapWindow , CompanyStationsWindow , StationViewWindow , StoryBookWindow , TimetableWindow , TownAuthorityWindow , TownViewWindow , TownDirectoryWindow , RefitWindow , VehicleListWindow , VehicleDetailsWindow , VehicleViewWindow , ExtraViewportWindow , WaypointWindow , Window
- SetSuitablePalette() : GRFConfig
- SetTimeout() : Window
- setting : SettingEntry
- SettingEntry() : SettingEntry
- settings : Company , LinkGraphJob , ScriptConfig
- Settings() : LinkGraphJob
- settings_profile : ScriptSettings
- settings_ptr : GameSettingsWindow
- settings_restriction_mode : GUISettings
- SettingsIniFile() : SettingsIniFile
- SettingsPage() : SettingsPage
- SettingsToString() : ScriptConfig
- SETTINGTREE_BOTTOM_OFFSET : GameSettingsWindow
- SETTINGTREE_LEFT_OFFSET : GameSettingsWindow
- SETTINGTREE_RIGHT_OFFSET : GameSettingsWindow
- SETTINGTREE_TOP_OFFSET : GameSettingsWindow
- SettingValueList : ScriptConfig
- SetTitle() : FileToSaveLoad
- SetTransferLoadPlace() : VehicleCargoList
- SetTransfers() : CargoDataEntry
- SetTravelTime() : Order
- SetTravelTimetabled() : Order
- SetUnicodeGlyph() : SpriteFontCache , FreeTypeFontCache , FontCache
- SetUnloadType() : Order
- setup_prod : Cheats
- SetupCargoForClimate : CargoSpec
- SetupRailToolbar() : BuildRailToolbarWindow
- SetupScrollbars() : TextfileWindow
- SetupSmallestSize() : NWidgetServerListHeader , NWidgetNewGRFDisplay , NWidgetSmallmapDisplay , NWidgetToolbarContainer , NWidgetBase , NWidgetStacked , NWidgetHorizontal , NWidgetVertical , NWidgetMatrix , NWidgetSpacer , NWidgetBackground , NWidgetViewport , NWidgetScrollbar , NWidgetLeaf
- SetupTargetCount() : IndustryBuildData
- SetupWidgetData() : DepotWindow , SmallMapWindow
- SetupWidgets() : CompanyFinancesWindow
- SetValue() : IniItem , GRFParameterInfo
- SetValueDParams() : SettingEntry
- SetVolume() : MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_LibTimidity , MusicDriver , MusicDriver_Null , MusicDriver_OS2 , MusicDriver_QtMidi , MusicDriver_Win32
- SetWagon() : GroundVehicle< T, Type >
- SetWaitTime() : Order
- SetWaitTimetabled() : Order
- SetWhiteBorder() : Window
- SetWidgetDirty() : Window
- SetWidgetDisabledState() : Window
- SetWidgetHighlight() : Window
- SetWidgetLoweredState() : Window
- SetWidgetsDisabledState() : Window
- SetWidgetsLoweredState() : Window
- SetWindowTop() : NewsWindow
- SetZoomLevel() : SmallMapWindow
- severity : GRFError
- sf : SaveLoadParams
- sg_full_load_any : GUISettings
- sg_new_nonstop : GUISettings
- shade_select : Window
- shadebox_dimension : NWidgetLeaf
- share_owners : CompanyProperties
- shared : LinkProperties
- shares : FlowStat
- Shift() : VehicleCargoList , CBinaryHeapT< T >
- shift : OskWindow , UnitConversion
- ShiftCargo() : VehicleCargoList , StationCargoList
- ShiftDates() : LinkGraphSchedule , LinkGraph
- ShiftJoinDate() : LinkGraphJob
- ShiftParameters() : StringParameters
- Ship() : Ship
- ship_use_yapf : YAPFSettings
- shore : GRFLoadedFeatures
- short_name : ScriptInfo
- short_path_saturation : LinkGraphSettings
- SHORT_STRIP : AirportFTAClass
- shorten_factor : RailVehicleInfo , RoadVehicleInfo
- ShortenCargoColumn() : IndustryCargoesWindow
- shortname : BaseSet< T, Tnum_files, Tsearch_in_tars > , OptionData
- shortnames : Fio
- ShouldStopAtStation() : Order
- show_break_box : AIDebugWindow
- show_date_in_logs : GUISettings
- show_expected : TimetableWindow
- show_finances : GUISettings
- show_hidden_engines : ReplaceVehicleWindow , BuildVehicleWindow
- show_on_map : LegendAndColour
- show_params : NewGRFWindow
- show_towns : SmallMapWindow
- show_track_reservation : GUISettings
- ShowCargo() : StationViewWindow
- ShowDateDropDown() : SetDateWindow
- shown_plane : NWidgetStacked
- ShowNewGRFInspectWindow() : IndustryViewWindow , LandInfoWindow , Window , VehicleViewWindow
- ShowVisualEffect() : Vehicle
- shuffle : MusicSettings
- ShutdownDrivers() : DriverFactoryBase
- sig_sprite_bottom_offset : BuildSignalWindow
- sig_sprite_size : BuildSignalWindow
- Sign() : Sign
- sign : TownCache , BaseStation
- signal : CompanyInfrastructure
- signals : RailtypeInfo
- SignList() : SignList
- SignNameFilter() : SignList
- SignNameSorter() : SignList
- signum : CrashLogOSX , CrashLogUnix
- single_e : RailtypeInfo
- single_n : RailtypeInfo
- single_s : RailtypeInfo
- single_sloped : RailtypeInfo
- single_w : RailtypeInfo
- single_x : RailtypeInfo
- single_y : RailtypeInfo
- Size() : LinkGraphJob , CBlobT< T > , ContentInfo
- size : IConsoleLine , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , FreeTypeSubSetting , Packet , SaveLoad , Array , OutputBuffer , NWidgetPartTextLines , MultiMap< Tkey, Tvalue, Tcompare > , TileHighlightData , ObjectSpec
- Size() : LinkGraph
- size_x : GenWorldInfo , AirportSpec
- size_y : GenWorldInfo , AirportSpec
- sizelimit : TileHighlightData
- SizeRef() : FixedSizeArray< T, C >
- skip_left : Blitter::BlitterParams
- skip_sprites : GrfProcessingState
- skip_top : Blitter::BlitterParams
- SkipToNextRealOrderIndex() : Vehicle
- slopes_refused : IndustryTileSpec
- Slot : CHashTableT< Titem_, Thash_bits_ >
- slot : AIListWindow , ScriptTextfileWindow , AISettingsWindow
- slver : LoggedChange
- small : CompanyFinancesWindow , FreeTypeSettings
- small_height : CargoesField
- small_turn : AccelerationSlowdownParams
- SmallArray() : SmallArray< T, B, N >
- smallest_x : NWidgetBase
- smallest_y : NWidgetBase
- SmallMap() : SmallMap< T, U, S >
- smallmap_land_colour : GUISettings
- smallmap_window : NWidgetSmallmapDisplay
- SmallMapCenterOnCurrentPos() : SmallMapWindow
- SmallMapType : SmallMapWindow
- SmallMatrix() : SmallMatrix< T >
- SmallPair() : SmallPair< T, U >
- SmallSet() : SmallSet< Tdir, items >
- SmallStack() : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- SmallStackItem() : SmallStackItem< Titem, Tindex >
- SmallVector() : SmallVector< T, S >
- SmartAlloc() : ByteBlob
- smoke_amount : VehicleSettings
- smooth_economy : EconomySettings
- smooth_scroll : GUISettings
- snow_line_height : GameCreationSettings
- snow_offset : RailtypeInfo
- sock : NetworkTCPSocketHandler , TCPConnecter , NetworkHTTPSocketHandler
- sockets : NetworkUDPSocketHandler , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- SocketTypeAsString() : NetworkAddress
- song_name : MusicSet
- Sort() : GUIList< T, F >
- sort_criteria : ReplaceVehicleWindow , BuildVehicleWindow
- sort_func_list : GUIList< T, F >
- sort_orders : StationViewWindow
- sort_type : GUIList< T, F >
- sort_value : StoryPageElement , StoryPage
- SortBridgeList() : BuildBridgeWindow
- SortButtonWidth() : Window
- SortContentList() : NetworkContentListWindow
- sorter_funcs : NetworkContentListWindow , NewGRFWindow , TownDirectoryWindow , BuildBridgeWindow
- sorter_names : BuildBridgeWindow , TownDirectoryWindow
- SortFunction : GUIList< T, F >
- sorting : BaseVehicleListWindow
- sorting_order : RailtypeInfo
- sortings : StationViewWindow
- SortNetworkGameList() : NetworkGameWindow
- SortStationsList() : CompanyStationsWindow
- SortType() : GUIList< T, F >
- sound : NewsTypeData , ClientSettings
- source : StringIDMapping
- Source() : StationCargoList , VehicleCargoList
- source : CargoRemoval< Tsource > , CargoSummaryItem , CargoMovement< Tsource, Tdest > , CargoPacket
- source_id : CargoPacket
- source_type : CargoPacket
- source_xy : CargoPacket
- SourceStation() : CargoPacket
- SourceStationXY() : CargoPacket
- SourceSubsidyID() : CargoPacket
- SourceSubsidyType() : CargoPacket
- spacers : NWidgetToolbarContainer
- spacing : NWidgetPartTextLines
- SPAWN_JOIN_TICK : LinkGraphSchedule
- SpawnAll() : LinkGraphSchedule
- SpawnNext() : LinkGraphSchedule
- SpawnThread() : LinkGraphJob
- spec : NewGRFClass< Tspec, Tid, Tmax >
- special_flags : IndustryTileSpec
- SpecializedStation() : SpecializedStation< T, Tis_waypoint >
- SpecializedVehicle() : SpecializedVehicle< T, Type >
- SpecializedVehicleBase : SpecializedVehicle< T, Type >
- speclist : BaseStation
- specs : AirportSpec
- spectators_max : NetworkGameInfo
- spectators_on : NetworkGameInfo
- speed : BridgeSpec , AnimationInfo
- Split() : CargoPacket
- sprite : AnimCursor , BridgeSpec , Blitter::BlitterParams , CargoSpec , GrfProcessingState::SpriteSet , TileLayoutRegisters , FreeTypeFontCache::GlyphEntry , PalSpriteID
- sprite_base : Action5Type
- sprite_count : CursorVars
- sprite_height : Blitter::BlitterParams
- sprite_left : RefitWindow
- sprite_pos : CursorVars
- sprite_right : RefitWindow
- sprite_seq : CursorVars , Vehicle
- sprite_table : BridgeSpec
- sprite_var10 : TileLayoutRegisters
- sprite_width : Blitter::BlitterParams
- SpriteFontCache() : SpriteFontCache
- spritegroup : GRFFilePropsBase< Tcnt >
- spriteid : GrfProcessingState
- spritenum : Vehicle
- sprites : NewGrfDebugSpritePicker
- spritesets : GrfProcessingState
- SQ_instance : ScriptInfo
- squared_town_zone_radius : TownCache
- src : Subsidy
- src_industry : GenericScopeResolver
- src_type : Subsidy
- SS_BIG : Scrollbar
- SS_RAW : Scrollbar
- SS_SMALL : Scrollbar
- SSS_DEFAULT : ScriptConfig
- SSS_FORCE_GAME : ScriptConfig
- SSS_FORCE_NEWGAME : ScriptConfig
- st : StationScopeResolver , AirportScopeResolver , AirportTileScopeResolver , FinalizeRefitAction , ReturnCargoAction , AirportTileIterator
- Stage() : VehicleCargoList
- stage : GrfProcessingState
- Start() : SoundDriver_SDL , SoundDriver_Win32 , MusicDriver_Cocoa , MusicDriver_Allegro , MusicDriver_ExtMidi , MusicDriver_QtMidi , MusicDriver_Win32 , SoundDriver_Allegro , SoundDriver_Null , VideoDriver_Cocoa , VideoDriver_Null , VideoDriver_Win32 , VideoDriver_Dedicated , VideoDriver_SDL , VideoDriver_Allegro , SoundDriver_Cocoa , MusicDriver_Null , MusicDriver_BeMidi , MusicDriver_OS2 , MusicDriver_LibTimidity , MusicDriver_DMusic
- start : StringFilter::WordState
- Start() : Driver
- start_date : NetworkGameInfo
- start_price : PriceBaseSpec
- starting_year : GameCreationSettings
- StartNew() : AI , Game
- StartNext : AI
- startyear : AfterNewGRFScan
- State : ContentInfo
- state : ContentInfo , Ship , RoadVehicle , Filtering , MovementTerminalMapping , Randomizer , Aircraft
- state_after : Layouter::LineCacheItem
- state_before : Layouter::LineCacheKey
- StateSorter() : NetworkContentListWindow
- station : LinkGraph::BaseNode , GameSettings , CargoDataEntry
- Station() : LinkGraph::NodeWrapper< Tnode, Tedge >
- station : TileAndStation , CompanyInfrastructure
- station_class : TileDesc , RailStationGUISettings
- station_count : RailStationGUISettings
- station_dragdrop : GUISettings
- station_gui_group_order : GUISettings
- station_gui_sort_by : GUISettings
- station_gui_sort_order : GUISettings
- station_index : NPFFindStationOrTileData
- station_name : IndustrySpec , TileDesc
- station_noise_level : EconomySettings
- station_numtracks : GUISettings
- station_platlength : GUISettings
- station_scope : StationResolverObject
- station_show_coverage : GUISettings
- station_spread : StationSettings
- station_to_node : FlowEdgeIterator
- station_type : NPFFindStationOrTileData , RailStationGUISettings
- StationCargoList : VehicleCargoList
- StationFinder() : StationFinder
- StationNameSorter() : CompanyStationsWindow
- StationRatingMaxSorter() : CompanyStationsWindow
- StationRatingMinSorter() : CompanyStationsWindow
- StationResolverObject() : StationResolverObject
- stations : StationFinder
- StationScopeResolver() : StationScopeResolver
- StationTypeSorter() : CompanyStationsWindow
- StationWaitingAvailableSorter() : CompanyStationsWindow
- StationWaitingTotalSorter() : CompanyStationsWindow
- statistics : Group
- statspec : StationScopeResolver
- statues : Town
- status : AnimationInfo , ClientNetworkGameSocketHandler , GRFConfig , NetworkAdminSocketHandler , RoadStop , GoodsEntry , ServerNetworkGameSocketHandler
- STATUS_ACTIVE : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_AUTH_COMPANY : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_AUTH_GAME : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_AUTHORIZED : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_COMPANY_INFO : ClientNetworkGameSocketHandler
- STATUS_DONE_MAP : ServerNetworkGameSocketHandler
- STATUS_END : ServerNetworkGameSocketHandler , ClientNetworkGameSocketHandler
- status_height : NewsWindow
- STATUS_INACTIVE : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_JOIN : ClientNetworkGameSocketHandler
- STATUS_MAP : ServerNetworkGameSocketHandler , ClientNetworkGameSocketHandler
- STATUS_MAP_WAIT : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- STATUS_NEWGRFS_CHECK : ServerNetworkGameSocketHandler , ClientNetworkGameSocketHandler
- STATUS_PRE_ACTIVE : ServerNetworkGameSocketHandler
- statusbar_pos : GUISettings
- step_height : ResizeInfo
- step_size : ScriptConfigItem
- step_width : ResizeInfo
- stepsize : Scrollbar
- stickybox_dimension : NWidgetLeaf
- Stop() : SoundDriver_Cocoa , MusicDriver_Cocoa , VideoDriver_Allegro , SoundDriver_Win32 , MusicDriver_ExtMidi , MusicDriver_DMusic , VideoDriver_SDL , SoundDriver_Null , VideoDriver_Dedicated , MusicDriver_QtMidi , SoundDriver_Allegro , MusicDriver_LibTimidity , MusicDriver_BeMidi , VideoDriver_Win32 , MusicDriver_Allegro , SoundDriver_SDL , Driver , AI , VideoDriver_Cocoa , MusicDriver_Win32 , VideoDriver_Null , MusicDriver_Null , MusicDriver_OS2
- stop_location : GUISettings
- StopSong() : MusicDriver_Null , MusicDriver_OS2 , MusicDriver_DMusic , MusicDriver_QtMidi , MusicDriver_ExtMidi , MusicDriver_LibTimidity , MusicDriver , MusicDriver_Win32 , MusicDriver_Cocoa , MusicDriver_BeMidi , MusicDriver_Allegro
- storage : PersistentStorageArray< TYPE, SIZE > , TemporaryStorageArray< TYPE, SIZE > , ScriptInstance , MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits >
- storage_type : TinyEnumT< Tenum_t >
- StoredCount() : VehicleCargoList
- StorePSA() : AirportScopeResolver , TownScopeResolver , ScopeResolver , IndustriesScopeResolver
- StoreSizePosition() : NWidgetBase
- StoreValue() : PersistentStorageArray< TYPE, SIZE > , TemporaryStorageArray< TYPE, SIZE >
- story_page_elements : StoryBookWindow
- story_pages : StoryBookWindow
- StoryPage() : StoryPage
- StoryPageElement() : StoryPageElement
- str : TileDesc , CheatEntry , SettingDescBase , Layouter::LineCacheKey
- str_help : SettingDescBase
- str_val : SettingDescBase
- string : Layouter , DropDownListStringItem , SettingFilter , Case , Lexer , RefitOption
- string_filter : SignList , NewGRFWindow , ContentListFilterData
- string_id : EngineInfo , BaseStation , TooltipsWindow , TextEffect , NewsItem
- string_names : GameStrings
- StringData() : StringData
- StringFilter() : StringFilter
- StringListReader() : StringListReader
- StringNameWriter() : StringNameWriter
- StringParameters() : StringParameters
- StringReader() : StringReader
- strings : StringNameWriter , StringData , ErrorMessageData , TranslationWriter , UnmappedChoiceList , RailtypeInfo
- StringToSettings() : ScriptConfig
- stSlopeCost() : CYapfCostBase
- stThreadProc() : ThreadObject_OS2 , ThreadObject_Win32 , ThreadObject_pthread
- sub : ParentSpriteToDraw , ChildScreenSpriteToDraw , TileSpriteToDraw
- SubArray : SmallArray< T, B, N >
- subdir : FileScanner
- subscroll : SmallMapWindow
- subsidies : NewsSettings
- Subsidy() : Subsidy
- subsidy_multiplier : DifficultySettings
- subspeed : Vehicle
- substitute_id : EntityIDMapping , EngineIDMapping
- subtags : AllowedSubtags
- subtype : CargoSummaryItem , Vehicle , RefitOption , RefitResult , AircraftVehicleInfo
- Succeeded() : CommandCost
- success : CommandCost
- summary_msg : ErrorMessageData
- SuperArray : SmallArray< T, B, N >
- supp_cargoes : CargoesField
- supplied : Town
- Supply() : LinkGraph::NodeWrapper< Tnode, Tedge >
- supply : LinkGraph::BaseNode
- supply_sum : SymmetricScaler
- SUPPORTS_RTL : ICUParagraphLayout , FallbackParagraphLayout
- suspend : ScriptInstance
- SwapShares() : FlowStat
- switch_company : Cheats
- SwitchMapType() : SmallMapWindow
- SwitchMode() : BasePersistentStorageArray
- SwitchToNextOrder() : VehicleOrderSaver
- symbol_pos : CurrencySpec
- SymmetricScaler() : SymmetricScaler
- sync_freq : NetworkSettings